"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPathCalledWith = exports.spyOnAddPath = exports.exportVariableCalledWith = exports.spyOnExportVariable = void 0;
const core = __importStar(require("@actions/core"));
const spyOnExportVariable = () => jest.spyOn(core, 'exportVariable').mockReturnValue();
exports.spyOnExportVariable = spyOnExportVariable;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const exportVariableCalledWith = (spyOnMock, pairs) => {
    expect(spyOnMock).toBeCalledTimes(pairs.length);
    pairs.forEach(({ name, val }, index) => {
        expect(spyOnMock.mock.calls[index][0]).toBe(name);
        expect(spyOnMock.mock.calls[index][1]).toEqual(val);
    });
};
exports.exportVariableCalledWith = exportVariableCalledWith;
const spyOnAddPath = () => jest.spyOn(core, 'addPath').mockReturnValue();
exports.spyOnAddPath = spyOnAddPath;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const addPathCalledWith = (spyOnMock, paths) => {
    expect(spyOnMock).toBeCalledTimes(paths.length);
    paths.forEach((path, index) => {
        expect(spyOnMock.mock.calls[index][0]).toBe(path);
    });
};
exports.addPathCalledWith = addPathCalledWith;
